@keyframes toHide {
  from {
    opacity: 0; }
  to {
    opacity: 1; } }

@keyframes toShow {
  from {
    opacity: 1; }
  to {
    opacity: 0; } }

@keyframes toHide {
  0% {
    opacity: 0.5; }
  100% {
    opacity: 1; } }

@keyframes toShow {
  0% {
    opacity: 1; }
  100% {
    opacity: 0.5; } }

.ani--rnd0infinite:after {
  animation-name: toHide;
  animation-delay: 0.1s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd1infinite:after {
  animation-name: toHide;
  animation-delay: 0.65s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd2infinite:after {
  animation-name: toHide;
  animation-delay: 0.3s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd3infinite:after {
  animation-name: toHide;
  animation-delay: 0.45s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd4infinite:after {
  animation-name: toHide;
  animation-delay: 0.15s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd5infinite:after {
  animation-name: toHide;
  animation-delay: 0.4s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd6infinite:after {
  animation-name: toHide;
  animation-delay: 0.25s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd7infinite:after {
  animation-name: toHide;
  animation-delay: 0.35s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd8infinite:after {
  animation-name: toHide;
  animation-delay: 0.5s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd9infinite:after {
  animation-name: toHide;
  animation-delay: 0.45s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd10infinite:after {
  animation-name: toHide;
  animation-delay: 0.6s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd11infinite:after {
  animation-name: toHide;
  animation-delay: 0.55s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.ani--rnd12infinite:after {
  animation-name: toHide;
  animation-delay: 0.05s;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards; }

.airpay_dec2018 {
  position: relative;
  display: block;
  width: 100%;
  height: 1811px;
  background: no-repeat top center url(../static/images/airpay_dec2018/background.jpg); }
  .airpay_dec2018__section {
    position: relative;
    display: block;
    width: 100%; }
    .airpay_dec2018__section--header {
      height: 700px; }
    .airpay_dec2018__section--condition {
      height: 330px; }
    .airpay_dec2018__section--wishingtree {
      height: 750px; }

.header {
  position: relative;
  display: block;
  width: 100%;
  height: 100%; }
  .header__inner {
    position: absolute;
    top: 540px;
    left: 150px;
    display: block;
    width: 430px; }
  .header__tag {
    display: block;
    width: 200px;
    height: 45px; }
    .header__tag--date {
      float: left;
      background: no-repeat center url(../static/images/airpay_dec2018/tag_date.png); }
    .header__tag--event {
      float: right;
      background: no-repeat center url(../static/images/airpay_dec2018/tag_event.png); }

.condition {
  position: relative;
  display: block;
  width: 100%;
  height: 100%; }
  .condition__inner {
    position: absolute;
    top: 0;
    left: 180px;
    display: block;
    width: 740px; }
  .condition__head {
    position: relative;
    display: block;
    width: 370px;
    height: 107px;
    margin: 0px auto;
    background: no-repeat center url(../static/images/airpay_dec2018/head_condition.png); }
  .condition__text {
    font-size: 16px;
    color: #FFFFFF;
    padding: 20px; }
    .condition__text li {
      list-style-type: decimal; }
    .condition__text span {
      color: #488cf1;
      font-weight: bolder; }

.wishingtree {
  position: relative;
  display: block;
  width: 100%;
  height: 100%; }
  .wishingtree__inner {
    position: absolute;
    top: 0;
    left: 180px;
    display: block;
    width: 740px; }
  .wishingtree__head {
    position: relative;
    display: block;
    width: 370px;
    height: 107px;
    margin: 0px auto;
    background: no-repeat center url(../static/images/airpay_dec2018/head_wishingtree.png); }
  .wishingtree__group {
    display: inline-block;
    vertical-align: middle; }
  .wishingtree__christmastree {
    background: no-repeat center url(../static/images/airpay_dec2018/christmastree.png);
    width: 390px;
    height: 480px;
    position: relative; }
  .wishingtree__box {
    background: no-repeat center bottom url(../static/images/airpay_dec2018/box_christmastree.png);
    width: 313px;
    position: relative;
    margin: 10px auto; }
  .wishingtree__headbox {
    width: 100%;
    height: 95px;
    margin: 0 auto; }
    .wishingtree__headbox--numstar {
      background: no-repeat center url(../static/images/airpay_dec2018/head_numstar.png); }
    .wishingtree__headbox--changehat {
      background: no-repeat center url(../static/images/airpay_dec2018/head_changehat.png); }
  .wishingtree__boxbottom {
    height: 156px;
    color: #ffffff;
    font-family: 'Kanit-SemiBold';
    text-align: center;
    font-size: 80px; }
  .wishingtree__btnchangehat {
    background: no-repeat center top url(../static/images/airpay_dec2018/btn_wishingtree.png);
    width: 157px;
    height: 54px;
    display: block;
    margin: 0 auto;
    position: absolute;
    bottom: -25px;
    left: 0;
    right: 0; }
    .wishingtree__btnchangehat.getitem {
      background-position: 0 -54px;
      cursor: pointer; }
    .wishingtree__btnchangehat.haveitem {
      background-position: 0 -108px; }
  .wishingtree__starbox {
    position: absolute;
    bottom: 0;
    left: 3%;
    width: 100%;
    height: 88%; }
  .wishingtree__star {
    position: relative;
    background: no-repeat center url(../static/images/airpay_dec2018/star.png);
    width: 64px;
    height: 62px;
    display: block;
    margin: 0 auto;
    cursor: pointer; }
    .wishingtree__star:after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      width: 100%;
      height: 100%;
      transform: translate3d(-50%, -50%, 0);
      background-image: url(../static/images/airpay_dec2018/star_top.png); }
    .wishingtree__star[starChild^="1"] {
      margin-left: 7.5em;
      margin-top: -0.4em; }
    .wishingtree__star[starChild^="2"] {
      margin-top: -2em;
      margin-right: 8.4em; }
    .wishingtree__star[starChild^="3"] {
      margin-left: 4.6em;
      margin-top: -0.6em; }
    .wishingtree__star[starChild^="4"] {
      margin-top: -2.1em;
      margin-left: 9.5em; }
    .wishingtree__star[starChild^="5"] {
      margin-right: 5.8em;
      margin-top: -5em; }
    .wishingtree__star[starChild^="6"] {
      margin-left: 1.8em;
      margin-top: 0.6em; }
    .wishingtree__star[starChild^="7"] {
      margin-left: 7.3em;
      margin-top: -3em; }
    .wishingtree__star[starChild^="8"] {
      margin-top: -2.5em;
      margin-right: 4em; }
    .wishingtree__star[starChild^="9"] {
      margin-left: 3.8em;
      margin-top: -2.1em; }
    .wishingtree__star[starChild^="10"] {
      margin-top: -2.8em;
      margin-left: 11em; }
